hadoop-common-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Steve Loughran (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (HADOOP-13714) Tighten up our compatibility guidelines for Hadoop 3
Date Fri, 15 Sep 2017 09:40:00 GMT

    [ https://issues.apache.org/jira/browse/HADOOP-13714?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16167627#comment-16167627
] 

Steve Loughran commented on HADOOP-13714:
-----------------------------------------

* interface declaration stability. Do we plan to change them. We could have a @Public.RemovedInFuture
versions, perhaps.

* transitive dependencies. We already talk a lot about this, but cannot guarantee that things
won't change. Maybe: shaded client jar only one with guarantees

* transitive protocol dependencies. Say ZK changed its wire format? Then the ZK JAR would
need an update, and, even shaded, would imply the need to work with an updated ZK service.
Same for S3 auth mechanisms, kerberos, ...

Other fun issues

* when would OS version support be removed? That's full OS (windows) as well as variants (32-bit
x86)
* when would we cut a filesystem (s3n and s3n are going from hadoop-aws in 3.0)? . Maybe:
major, unless there's a migration path to a successor client (which can involve: switching
to an external implementation).


> Tighten up our compatibility guidelines for Hadoop 3
> ----------------------------------------------------
>
>                 Key: HADOOP-13714
>                 URL: https://issues.apache.org/jira/browse/HADOOP-13714
>             Project: Hadoop Common
>          Issue Type: Improvement
>          Components: documentation
>    Affects Versions: 2.7.3
>            Reporter: Karthik Kambatla
>            Assignee: Daniel Templeton
>            Priority: Blocker
>         Attachments: Compatibility.pdf, HADOOP-13714.001.patch, HADOOP-13714.002.patch,
HADOOP-13714.003.patch, HADOOP-13714.004.patch, HADOOP-13714.005.patch, HADOOP-13714.WIP-001.patch,
InterfaceClassification.pdf
>
>
> Our current compatibility guidelines are incomplete and loose. For many categories, we
do not have a policy. It would be nice to actually define those policies so our users know
what to expect and the developers know what releases to target their changes. 



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

---------------------------------------------------------------------
To unsubscribe, e-mail: common-issues-unsubscribe@hadoop.apache.org
For additional commands, e-mail: common-issues-help@hadoop.apache.org


Mime
View raw message